Bug 473749 - cannot read from compact flash card reader
cannot read from compact flash card reader
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
10
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 02:53 EST by qijungu
Modified: 2013-03-05 22:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:02:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description qijungu 2008-11-30 02:53:55 EST
Description of problem:

I am using Fedora 10 now. When I connect my compact flash card reader (with a flash card inside it) to my laptop, I don't see any response. When I was using Fedora 8, the card reader could work smoothly with auto mounting and loading.

I tried manually gnome-mounting the card reader, but no result. I tried manually mounting the card reader as root, but couldn't find a correct file system type. 

In my computer with Fedora 10, plugging other devices (such as thumbdrives or DVDs) has no such problem.

Version-Release number of selected component (if applicable):

Fedora 10
Kernel 2.6.27.5-117.fc10.i686
Gnome 2.24.1

How reproducible:

Steps to Reproduce:
1. install Fedora 10
2. insert the compact flash card reader into a usb port
3.
  
Actual results:

Nothing

Expected results:

A window pops up and an icon appears on Desktop.

Additional info:

It seems that my card reader is recognized by the kernel, but gnome cannot auto mount the reader.

========= The result from dmesg =========

usb 5-1: new full speed USB device using uhci_hcd and address 9
usb 5-1: configuration #1 chosen from 1 choice
scsi12 : SCSI emulation for USB Mass Storage devices
usb 5-1: New USB device found, idVendor=05e3, idProduct=0700
usb 5-1: New USB device strings: Mfr=0, Product=1, SerialNumber=0
usb 5-1: Product: USB Storage Device
usb-storage: device found at 9
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 12:0:0:0: Direct-Access     Generic  STORAGE DEVICE   0.01 PQ: 0 ANSI: 0
sd 12:0:0:0: [sdb] 1000945 512-byte hardware sectors (512 MB)
sd 12:0:0:0: [sdb] Test WP failed, assume Write Enabled
sd 12:0:0:0: [sdb] Assuming drive cache: write through
sd 12:0:0:0: [sdb] 1000945 512-byte hardware sectors (512 MB)
sd 12:0:0:0: [sdb] Test WP failed, assume Write Enabled
sd 12:0:0:0: [sdb] Assuming drive cache: write through
 sdb: sdb1
sd 12:0:0:0: [sdb] Attached SCSI removable disk
sd 12:0:0:0: Attached scsi generic sg2 type 0
sd 12:0:0:0: timing out command, waited 360s
sd 12:0:0:0: [sdb] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sd 12:0:0:0: [sdb] Sense Key : Hardware Error [current] 
sd 12:0:0:0: [sdb] Add. Sense: Data phase error
end_request: I/O error, dev sdb, sector 1000944
__ratelimit: 89 callbacks suppressed
Buffer I/O error on device sdb, logical block 1000944
sd 12:0:0:0: timing out command, waited 360s
sd 12:0:0:0: [sdb] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sd 12:0:0:0: [sdb] Sense Key : Hardware Error [current] 
sd 12:0:0:0: [sdb] Add. Sense: Data phase error
end_request: I/O error, dev sdb, sector 1000944
Buffer I/O error on device sdb, logical block 1000944
sd 12:0:0:0: timing out command, waited 360s
sd 12:0:0:0: [sdb] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE,SUGGEST_OK
sd 12:0:0:0: [sdb] Sense Key : Hardware Error [current] 
sd 12:0:0:0: [sdb] Add. Sense: Data phase error
end_request: I/O error, dev sdb, sector 1000944
Buffer I/O error on device sdb, logical block 1000944

========= The result from lsusb =========

Bus 005 Device 009: ID 05e3:0700 Genesys Logic, Inc. SIIG US2256 CompactFlash Card Reader

========= The result from lshal =========

udi = '/org/freedesktop/Hal/devices/usb_device_5e3_700_noserial'
  info.bus = 'usb_device'  (string)
  info.linux.driver = 'usb'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_0'  (string)
  info.product = 'SIIG US2256 CompactFlash Card Reader'  (string)
  info.subsystem = 'usb_device'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_5e3_700_noserial'  (string)
  info.vendor = 'Genesys Logic, Inc.'  (string)
  linux.device_file = '/dev/bus/usb/005/009'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'usb'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0/usb5/5-1'  (string)
  usb_device.bus_number = 5  (0x5)  (int)
  usb_device.can_wake_up = false  (bool)
  usb_device.configuration_value = 1  (0x1)  (int)
  usb_device.device_class = 0  (0x0)  (int)
  usb_device.device_protocol = 0  (0x0)  (int)
  usb_device.device_revision_bcd = 275  (0x113)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  usb_device.is_self_powered = false  (bool)
  usb_device.linux.device_number = 9  (0x9)  (int)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.0/usb5/5-1'  (string)
  usb_device.max_power = 96  (0x60)  (int)
  usb_device.num_configurations = 1  (0x1)  (int)
  usb_device.num_interfaces = 1  (0x1)  (int)
  usb_device.num_ports = 0  (0x0)  (int)
  usb_device.product = 'SIIG US2256 CompactFlash Card Reader'  (string)
  usb_device.product_id = 1792  (0x700)  (int)
  usb_device.speed = 12.0 (12) (double)
  usb_device.vendor = 'Genesys Logic, Inc.'  (string)
  usb_device.vendor_id = 1507  (0x5e3)  (int)
  usb_device.version = 1.1 (1.1) (double)
Comment 1 Bug Zapper 2009-11-18 04:04:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:02:33 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.